Bug 759591 (CVE-2011-4674) - CVE-2011-4674 zabbix: SQL injection vulnerability fixed in 1.8.9
Summary: CVE-2011-4674 zabbix: SQL injection vulnerability fixed in 1.8.9
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2011-4674
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 759595 759596
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-02 19:19 UTC by Vincent Danen
Modified: 2019-09-29 12:48 UTC (History)
4 users (show)

Fixed In Version: zabbix 1.8.9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-26 17:07:13 UTC


Attachments (Terms of Use)

Description Vincent Danen 2011-12-02 19:19:25 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-4674 to
the following vulnerability:

Name: CVE-2011-4674
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-4674
Assigned: 20111202
Reference: http://www.exploit-db.com/exploits/18155
Reference: https://support.zabbix.com/browse/ZBX-4385
Reference: http://www.securityfocus.com/bid/50803
Reference: http://xforce.iss.net/xforce/xfdb/71479

SQL injection vulnerability in popup.php in Zabbix 1.8.3 and 1.8.4,
and possibly other versions before 1.8.9, allows remote attackers to
execute arbitrary SQL commands via the only_hostid parameter.


The upstream issue tracker indicates this is fixed in upstream 1.8.9.

Comment 1 Vincent Danen 2011-12-02 19:22:14 UTC
Took a quick look at the code in what we have in EPEL4/5 (1.4.7) and it doesn't look like this issue should exist in the older versions.

Comment 2 Vincent Danen 2011-12-02 19:23:19 UTC
Created zabbix tracking bugs for this issue

Affects: fedora-all [bug 759595]
Affects: epel-6 [bug 759596]

Comment 3 Fedora Update System 2011-12-11 21:49:12 UTC
zabbix-1.8.9-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2011-12-11 21:51:19 UTC
zabbix-1.8.9-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2011-12-18 17:26:18 UTC
zabbix-1.8.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Volker Fröhlich 2012-11-26 17:07:13 UTC
That's a leftover; closing!


Note You need to log in before you can comment on or make changes to this bug.